Skip to main content
GET
/
voice
/
calls
cURL
curl --request GET \
  --url https://api.useanima.sh/v1/voice/calls \
  --header 'Authorization: Bearer <token>'
{
  "calls": [
    {
      "id": "<string>",
      "agentId": "<string>",
      "phoneIdentityId": "<string>",
      "state": "<string>",
      "from": "<string>",
      "to": "<string>",
      "startedAt": "<string>",
      "answeredAt": "<string>",
      "endedAt": "<string>",
      "endReason": "<string>",
      "durationSeconds": 123,
      "createdAt": "<string>"
    }
  ],
  "total": 123
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Query Parameters

agentId
string
limit
number
default:20
Required range: 1 <= x <= 100
offset
number
default:0
Required range: x >= 0
direction
enum<string>
Available options:
INBOUND,
OUTBOUND
state
string

Response

200 - application/json

OK

calls
object[]
required
total
number
required